Search Unity

  1. Get all the Unite Berlin 2018 news on the blog.
    Dismiss Notice
  2. Unity 2018.2 has arrived! Read about it here.
    Dismiss Notice
  3. Improve your Unity skills with a certified instructor in a private, interactive classroom. Learn more.
    Dismiss Notice
  4. ARCore is out of developer preview! Read about it here.
    Dismiss Notice
  5. Magic Leap’s Lumin SDK Technical Preview for Unity lets you get started creating content for Magic Leap One™. Find more information on our blog!
    Dismiss Notice
  6. Want to see the most recent patch releases? Take a peek at the patch release page.
    Dismiss Notice

Unity deploys unusable apks - Invalid app signature on Play Console, test build doesn't run on phone

Discussion in 'Android' started by agiro, Jan 9, 2018.

  1. agiro

    agiro

    Joined:
    Jan 3, 2016
    Posts:
    192
    upload_2018-1-9_16-47-3.jpeg
    Here is what I get after waiting for the upload. I'm using Unity 2017.1.3f1 with JDK 8 (because 9 wasn't even building). Now the project builds but I can't deploy it to the console nor can I to the Emulator.
    Note, I did assign my keystore file and I did write the passwords. I'm not uploading a development build, I double checked that.
    For the build I was using the old .25 tools (inside the sdk folder I replaced the existing ones). I did that so that I can get a build.
    I would like to ask for help to get this sorted out.
    @Yury-Habets @JuliusM If I saw it right, you took part in some Android related questions. Could you lend a hand? I've tried upgrading to the latest Unity, no luck. I tried the latest Android Studio (and SDK) as well as the latest Java SDK, still no luck. I'm out of ideas on this one :(
     
  2. Yury-Habets

    Yury-Habets

    Unity Technologies

    Joined:
    Nov 18, 2013
    Posts:
    837
  3. agiro

    agiro

    Joined:
    Jan 3, 2016
    Posts:
    192
    Thank you for replying to both my threads.
    I actually upgraded windows to 1709 creator's, then resetted it to get rid of any unwanted settings. Then downloaded Unity 2017.3.0f3, Android Studio 2.3, JDK 8, and tools for AS 25.x, set up the required JAVA_HOME env var and that way I successfully built and deployed the game.
    If you could fix the build so that we don't need a 25.x version tool, it would be great though. Other than that the problem is solved.
     
  4. Yury-Habets

    Yury-Habets

    Unity Technologies

    Joined:
    Nov 18, 2013
    Posts:
    837
    Latest Unity should work with latest SDK. Please share your error with the latest SDK.
     
  5. agiro

    agiro

    Joined:
    Jan 3, 2016
    Posts:
    192
    When was the latest version shipped? On the download page I saw a december X date, 2017.3 version. The version I had the error on was 2017.3.0f3.
     
  6. Yury-Habets

    Yury-Habets

    Unity Technologies

    Joined:
    Nov 18, 2013
    Posts:
    837